## knockpy 5.1.0

=== requirements.txt ===
requests
beautifulsoup4
colorama
matplotlib
networkx
PyQt5

## knockpy 3.0.0

=== debian/changelog ===
knockpy (3.0.0-1) unstable; urgency=low

  * Initial release (Closes: #808680).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 21 Dec 2015 20:25:09 +0100

=== debian/control ===
Source: knockpy
Section: python
Priority: optional
Maintainer: Gianfranco Costamagna <locutusofborg@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-dnspython,
               python-setuptools
Standards-Version: 3.9.6
Homepage: https://github.com/guelfoweb/knock

Package: knockpy
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Python tool designed to enumerate subdomains on a target domain
 Knockpy is a Python tool designed to enumerate subdomains on a target domain
 through a wordlist.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=knockpy
%:
	dh $@ --with python2 --buildsystem=pybuild

## knockpy 4.0.0

=== debian/changelog ===
knockpy (4.0.0-1) unstable; urgency=medium

  * New upstream release
  * Bump compat level to 10
  * Update copyright years
  * Update manpage

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 05 Feb 2017 20:46:27 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Gianfranco Costamagna <locutusofborg@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                python-all,
                python-dnspython,

## knockpy 4.1.0

=== debian/changelog ===
knockpy (4.1.0-4) unstable; urgency=medium

  * Use compat level 12, to ease backports.
  * Add R^3 no
  * Use secure url for copyright file

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 23 May 2020 22:38:02 +0200

knockpy (4.1.0-3) unstable; urgency=medium

  * Update 71 patch with the version proposed in upstream, deprecating
    my patch.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 23 May 2020 20:58:57 +0200

knockpy (4.1.0-2) unstable; urgency=medium

  * debian/patches/4.1.0...4.1.patch:
    - upgrade to latest upstream fixes
  * debian/patches/71.patch:
    - port to Python3 (Closes: #936804, #953374)
  * Bump std-version to 4.5.0 and compat level to 13
  * Bump copyright years.
  * Add another patch to fix module import

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 13 Jan 2020 12:35:37 +0100

knockpy (4.1.0-1) unstable; urgency=medium

  * New upstream release
  * Bump std-version to 4.0.0

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 07 Aug 2017 15:44:44 +0200

=== debian/control ===
Source: knockpy
Section: python
Priority: optional
Maintainer: Gianfranco Costamagna <locutusofborg@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-dnspython,
               python3-setuptools
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/guelfoweb/knock

Package: knockpy
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python3 tool designed to enumerate subdomains on a target domain
 Knockpy is a Python tool designed to enumerate subdomains on a target domain
 through a wordlist.

## knockpy 5.1.0

=== debian/changelog ===
knockpy (5.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches: upstream
  * Update manpage

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 17 Apr 2021 18:14:41 +0200

knockpy (5.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches: upstream
  * Add patch to translate bs4 into beautifulsoap4, helping dh-python evaluate
    it correctly
  * Update manpage

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 24 Mar 2021 10:42:22 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,12 @@
 Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
-               python3-dnspython,
+               python3-bs4,
+               python3-colorama,
+               python3-matplotlib,
+               python3-networkx,
+               python3-pyqt5,
+               python3-requests,
                python3-setuptools
 Standards-Version: 4.5.0
 Rules-Requires-Root: no

## knockpy 5.2.0

=== debian/changelog ===
knockpy (5.2.0-1) unstable; urgency=medium

  * New upstream release
  * Bump std-version to 4.6.0
  * Update manpage

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 08 Oct 2021 08:51:26 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python3-pyqt5,
                python3-requests,
                python3-setuptools
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/guelfoweb/knock

## knockpy 5.3.0

=== requirements.txt ===
requests
beautifulsoup4
colorama

=== debian/changelog ===
knockpy (5.3.0-1) unstable; urgency=medium

  * New upstream release
  * Bump compat level to 13
  * Update manpage

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 06 Mar 2022 16:55:38 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Gianfranco Costamagna <locutusofborg@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-bs4,

## knockpy 6.1.0

=== requirements.txt ===
requests
beautifulsoup4
colorama
censys

=== debian/changelog ===
knockpy (6.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Update manpage for new release
  * Add new censys dependency

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 21 Jan 2023 16:37:10 +0100

knockpy (6.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Update manpage for new release
  * Drop patch 129, now upstream
  * Update copyright years

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Jan 2023 19:43:59 +0100

knockpy (5.4.0-2) unstable; urgency=medium

  * debian/patches/129.patch:
    - Add upstream proposed patch to also install passive directory
  * Update manpage for new release

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 12 Jan 2023 18:58:17 +0100

knockpy (5.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump std-version to 4.6.2

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 12 Jan 2023 18:23:35 +0100

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,14 @@
                dh-python,
                python3-all,
                python3-bs4,
+               python3-censys,
                python3-colorama,
                python3-matplotlib,
                python3-networkx,
                python3-pyqt5,
                python3-requests,
                python3-setuptools
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/guelfoweb/knock

## knockpy 7.0.0

=== debian/changelog ===
knockpy (7.0.0-2) unstable; urgency=medium

  * Drop patch 143, and use upstream changes instead.
    - fdbf885bd383b71a6eb350243a2411bc6e36a436.patch
    - 16e33d1b36c96735d0470f2046f67322b2063e76.patch
    - 398b242ff12f0d28bfdb55925097863e84201971.patch
  * Add proposed patch to fix Python3.12 syntax deprecation warning (Closes:
    #1065526)
    - 147.patch
  * Update manpage

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 06 Mar 2024 10:41:11 +0100

knockpy (7.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Add new dependencies
  * Add two proposed pull requests to fix installation issues and wrong
    generation of directory issue.
  * Fixup and cleanup build-dependencies
  * Drop changelog from docs, removed upstream
  * Update manpage.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 29 Feb 2024 09:59:28 +0100

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,11 @@
                dh-python,
                python3-all,
                python3-bs4,
-               python3-censys,
-               python3-colorama,
-               python3-matplotlib,
-               python3-networkx,
-               python3-pyqt5,
+               python3-dnspython,
+               python3-openssl,
                python3-requests,
-               python3-setuptools
+               python3-setuptools,
+               python3-tqdm,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/guelfoweb/knock

## knockpy 7.0.1

=== debian/changelog ===
knockpy (7.0.1-1) unstable; urgency=medium

  * New upstream release.
    - drop patches now upstream
  * Update manpage

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 05 Aug 2024 10:21:46 +0200

## knockpy 7.0.2

=== requirements.txt ===
requests
dnspython
pyOpenSSL
beautifulsoup4
tqdm

=== debian/changelog ===
knockpy (7.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch 147, now upstream
  * Update manpage
  * Bump std-version to 4.7.0

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 21 Nov 2024 12:12:39 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python3-requests,
                python3-setuptools,
                python3-tqdm,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/guelfoweb/knock

## knockpy 8.0.0

=== requirements.txt ===
requests>=2.32.5
dnspython>=2.8.0
pyOpenSSL>=25.3.0
beautifulsoup4>=4.14.2
tqdm>=4.67.1
httpx[http2]>=0.28.1
dotenv>=0.9.9

=== debian/changelog ===
knockpy (8.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump std-version to 4.7.2
  * Update manpage

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 27 Oct 2025 19:34:44 +0100

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,13 @@
                python3-all,
                python3-bs4,
                python3-dnspython,
+               python3-dotenv,
+               python3-httpx,
                python3-openssl,
                python3-requests,
                python3-setuptools,
                python3-tqdm,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/guelfoweb/knock

=== debian/rules ===
--- 
+++ 
@@ -4,4 +4,4 @@
 
 export PYBUILD_NAME=knockpy
 %:
-	dh $@ --with python2 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/knock-$1\.tar\.gz/ \
  https://github.com/guelfoweb/knock/tags .*/v?(\d\S*)\.tar\.gz

## knockpy 9.0.0

=== requirements.txt ===
dnspython>=2.8.0
httpx[http2]>=0.28.1
pyOpenSSL>=25.3.0
python-dotenv>=1.0.1
rich>=13.9.4

=== debian/changelog ===
knockpy (9.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump std-version to 4.7.3
  * Drop R^3: no, default now
  * Update manpage
  * Drop tqdm, requests, beautifulsoup4 build-dependencies, removed upstream
  * Add python3-rich build-dependency

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Feb 2026 09:36:49 +0100

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,13 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
-               python3-bs4,
                python3-dnspython,
                python3-dotenv,
                python3-httpx,
                python3-openssl,
-               python3-requests,
                python3-setuptools,
-               python3-tqdm,
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
+               python3-rich,
+Standards-Version: 4.7.3
 Homepage: https://github.com/guelfoweb/knock
 
 Package: knockpy
